﻿using System.Configuration;
using System.Data.Entity;

namespace CustomWcfRestService
{
    public class Context : DbContext
    {
        public Context()
            : base(ConfigurationManager.ConnectionStrings["SecuredServiceDemo"].ConnectionString)
        {

        }

        public DbSet<Person> People { get; set; }
        public DbSet<User> Users { get; set; }

        protected override void OnModelCreating(DbModelBuilder modelBuilder)
        {
            base.OnModelCreating(modelBuilder);
            modelBuilder.Entity<Person>().Property(p => p.FirstName).HasMaxLength(30).IsRequired();
            modelBuilder.Entity<Person>().Property(p => p.LastName).HasMaxLength(50).IsRequired();

            modelBuilder.Entity<User>().Property(p => p.Password).HasMaxLength(250).IsRequired();
            modelBuilder.Entity<User>().Property(p => p.UserName).HasMaxLength(50).IsRequired();
        }
    }
}
