﻿using System.Net;
using System.ServiceModel;
using System.ServiceModel.Channels;
using TestServiceApp.LoginService;
using System.IO;

namespace TestServiceApp
{
    class Program
    {
        static void Main(string[] args)
        {
            var sharedCookie = string.Empty;
            bool isValid;
            string data = string.Empty;

            var authClient = new LoginServiceClient();
            using (new OperationContextScope(authClient.InnerChannel))
            {
                isValid = authClient.Login("me@you.com", "pw");
                if (isValid)
                {
                    var response = (HttpResponseMessageProperty)OperationContext.Current.IncomingMessageProperties[HttpResponseMessageProperty.Name];
                    sharedCookie = response.Headers["Set-Cookie"];
                }
            }

            if (isValid)
            {

                var request = (HttpWebRequest)WebRequest.Create("http://localhost:48090/CustomService/GetPeople");
                request.Headers["Cookie"] = sharedCookie;
                var responce = request.GetResponse();
                using (var stream = responce.GetResponseStream())
                {
                    using (var reader = new StreamReader(stream))
                    {
                        data = reader.ReadToEnd();
                    }
                }
            }

        }
    }
}
